#!/bin/bash

if [ -f "/etc/os-release" ]; then
  # Checks if the system is upgraded from CentOS to Oracle Linux 6.
  if [[ $STATE -ge 13 ]]; then
    cat /etc/os-release | grep " 7."
    if [[ $? -ne 0 ]]; then
      exit 1
      # If the OS is not upgraded, then then exit the program.
    else
      rm -rvf /etc/yum.repos.d/* 2>&1 | tee -a /osUpgrade/upgradeLogFile
	  while read service; do service $service start; done < /osUpgrade/serviceFile
	  while read service; do systemctl enable $service ; done < /osUpgrade/serviceFile
	  cp -r /osUpgrade/yum-ol7/* /etc/yum.repos.d/ 2>&1 | tee -a /osUpgrade/upgradeLogFile
	  yum install -y php corosync jansson-devel pacemaker pcs ricci setools setools-gui setools-libs-tcl tigervnc tigervnc-server tigervnc-server-module httpd 2>&1 | tee -a /osUpgrade/upgradeLogFile
	  echo "" > /osUpgrade/fix-ol7.sh
    fi
  fi
fi